/* ===================================
   UI DEFAULT
=================================== */

.ui-widget-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
.ui-datepicker {
    width: 17em;
    padding: 0.2em 0.2em 0;
    display: none;
}
.ui-datepicker .ui-datepicker-header {
    position: relative;
    padding: 0.2em 0;
}
.ui-datepicker .ui-datepicker-prev,
.ui-datepicker .ui-datepicker-next {
    position: absolute;
    top: 2px;
    width: 1.8em;
    height: 1.8em;
}
.ui-datepicker .ui-datepicker-prev-hover,
.ui-datepicker .ui-datepicker-next-hover {
    top: 1px;
}
.ui-datepicker .ui-datepicker-prev {
    left: 2px;
}
.ui-datepicker .ui-datepicker-next {
    right: 2px;
}
.ui-datepicker .ui-datepicker-prev-hover {
    left: 1px;
}
.ui-datepicker .ui-datepicker-next-hover {
    right: 1px;
}
.ui-datepicker .ui-datepicker-prev span,
.ui-datepicker .ui-datepicker-next span {
    display: block;
    position: absolute;
    left: 50%;
    margin-left: -8px;
    top: 50%;
    margin-top: -8px;
}
.ui-datepicker .ui-datepicker-title {
    margin: 0 2.3em;
    line-height: 1.8em;
    text-align: center;
}
.ui-datepicker .ui-datepicker-title select {
    font-size: 1em;
    margin: 1px 0;
}
.ui-datepicker select.ui-datepicker-month-year {
    width: 100%;
}
.ui-datepicker select.ui-datepicker-month,
.ui-datepicker select.ui-datepicker-year {
    width: 49%;
}
.ui-datepicker table {
    width: 100%;
    font-size: 0.9em;
    border-collapse: collapse;
    margin: 0 0 0.4em;
}
.ui-datepicker th {
    padding: 0.7em 0.3em;
    text-align: center;
    font-weight: bold;
    border: 0;
}
.ui-datepicker td {
    border: 0;
    padding: 1px;
}
.ui-datepicker td span,
.ui-datepicker td a {
    display: block;
    padding: 0.45em 0.2em;
    text-decoration: none;
}
.ui-datepicker .ui-datepicker-buttonpane {
    background-image: none;
    margin: 0.7em 0 0 0;
    padding: 0 0.2em;
    border-left: 0;
    border-right: 0;
    border-bottom: 0;
}
.ui-datepicker .ui-datepicker-buttonpane button {
    float: right;
    margin: 0.5em 0.2em 0.4em;
    cursor: pointer;
    padding: 0.2em 0.6em 0.3em 0.6em;
    width: auto;
    overflow: visible;
}
.ui-datepicker .ui-datepicker-buttonpane button.ui-datepicker-current {
    float: left;
}

/* ===================================
   CUSTOM STYLE
=================================== */

.ui-icon {
    display: block;
    width: 16px;
    height: 16px;
    text-indent: -99999px;
    overflow: hidden;
    background-position: 16px 16px;
    background-repeat: no-repeat;
}

.ui-widget {
    font-family: "Calibre", sans-serif;
    background: #fff;
    border: none;
    border-radius: 0;
    margin-top: 1px;
}

.ui-datepicker {
    width: 320px;
    padding: 20px;
    box-shadow: rgba(0, 0, 0, 0.4) 5px 5px 5px -2px;
    box-sizing: border-box;
}

.ui-datepicker-header {
    border: none;
    background: transparent;
    font-weight: 700;
    font-size: 18px;
    color: #000;
    margin: -11px 0 18px 0;
    padding: 0 !important;
    text-transform: uppercase;
    letter-spacing: 1px;
}

.ui-datepicker-header .ui-state-hover {
    background: transparent;
    border-color: transparent;
    cursor: pointer;
    border-radius: 0;
}

.ui-datepicker .ui-datepicker-title {
    margin: 0;
    text-align: left;
}

.ui-datepicker .ui-datepicker-title:before {
    content: "\e601";
    display: inline-block;
    font-family: "simple-line-icons";
    font-size: 18px;
    margin-right: 10px;
    vertical-align: top;
}

.ui-datepicker .ui-datepicker-prev-hover,
.ui-datepicker .ui-datepicker-next-hover,
.ui-datepicker .ui-datepicker-next,
.ui-datepicker .ui-datepicker-prev {
    width: 30px;
    height: 30px;
    top: 0;
    right: -5px;
    box-sizing: border-box;
    overflow: hidden;
}

.ui-datepicker .ui-datepicker-prev-hover,
.ui-datepicker .ui-datepicker-prev {
    left: auto;
    right: 25px;
}

.ui-datepicker .ui-datepicker-next span,
.ui-datepicker .ui-datepicker-prev span {
    display: block;
    width: 30px;
    height: 30px;
    margin: 0;
    top: 0;
    left: 0;
    font-weight: normal;
    text-indent: initial;
}

.ui-datepicker .ui-datepicker-next span:before {
    content: "\e606";
}

.ui-datepicker .ui-datepicker-prev span:before {
    content: "\e605";
}

.ui-datepicker .ui-datepicker-next span:before,
.ui-datepicker .ui-datepicker-prev span:before {
    display: block;
    width: 30px;
    height: 30px;
    line-height: 28px;
    font-family: "simple-line-icons";
    font-size: 18px;
}

.ui-datepicker table {
    margin: 0;
}

.ui-datepicker th {
    padding: 0;
    font-size: 10px;
    font-weight: 500;
    border: none;
    padding-bottom: 10px;
    text-transform: uppercase;
}

.ui-datepicker td {
    border: none;
    padding: 0 2px;
    text-align: center;
}

td .ui-state-default {
    width: 33px;
    height: 33px;
    line-height: 33px;
    background: none;
    color: #000;
    border: none;
    border-radius: 50%;
    text-align: center;
    padding: 0 !important;
    margin: 0;
    font-weight: 500;
    font-size: 14px;
}

.ui-state-disabled {
    opacity: 0.3;
}

.ui-state-disabled .ui-state-default {
}

td .ui-state-active,
td .ui-state-hover {
    background: #c1092b;
    color: #fff;
}

/* --- AUTOCOMPLETE --- */

.ui-helper-hidden-accessible {
    display: none;
}

.ui-autocomplete {
    z-index: 9999;
    float: left;
    display: none;
    min-width: 160px;
    padding: 4px 0;
    margin: 0 0 10px 25px;
    border-top: 1px solid #0050a1;
    list-style: none;
    background-color: #ffffff;
    -webkit-background-clip: padding-box;
    -moz-background-clip: padding;
    background-clip: padding-box;
}

.ui-menu-item > a.ui-corner-all {
    display: block;
    padding: 3px 10px;
    clear: both;
    font-family: "Calibre", sans-serif;
    font-size: 16px;
    font-weight: 400;
    line-height: 18px;
    color: #000;
    white-space: nowrap;
    text-align: left;
    text-decoration: none;
    cursor: pointer;
}

.ui-menu-item > a.ui-corner-all:hover {
    background: #000;
    color: #fff;
}